# aircraft_gui.cpp File Reference

The GUI of aircraft. More...

`#include "stdafx.h"`
`#include "aircraft.h"`
`#include "vehicle_gui.h"`
`#include "newgrf_engine.h"`
`#include "strings_func.h"`
`#include "vehicle_func.h"`
`#include "gfx_func.h"`
`#include "window_gui.h"`
`#include "table/sprites.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Functions
void | DrawAircraftDetails (const Vehicle *v, int x, int y)
| Draw the details for the given vehicle at the position (x, y).
void | DrawAircraftImage (const Vehicle *v, int x, int y, VehicleID selection)
void | CcBuildAircraft (bool success, TileIndex tile, uint32 p1, uint32 p2)
| This is the Callback method after the construction attempt of an aircraft.

## Detailed Description

The GUI of aircraft.

Definition in file aircraft_gui.cpp.

## Function Documentation

void CcBuildAircraft | ( | bool | success,
|  | TileIndex | tile,
|  | uint32 | p1,
|  | uint32 | p2 |
| ) |  |  |

This is the Callback method after the construction attempt of an aircraft.

Parameters:

  | success | indicates completion (or not) of the operation
  | tile | of depot where aircraft is built
  | p1 | unused
  | p2 | unused

Definition at line 85 of file aircraft_gui.cpp.

References RestoreVehicleOrders(), and ShowVehicleViewWindow().

void DrawAircraftDetails | ( | const Vehicle * | v,
|  | int | x,
|  | int | y |
| ) |  |  |

Draw the details for the given vehicle at the position (x, y).

Parameters:

  | v | current vehicle
  | x | The x coordinate
  | y | The y coordinate

Definition at line 24 of file aircraft_gui.cpp.

References DrawString(), GetCargoSubtypeText(), and IsNormalAircraft().